### Method

# Vte Terminal get_termprop_enum_by_id

since: 0.82

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_enum_by_id (
      VteTerminal* terminal,
      int prop,
      GType gtype,
      int64_t* valuep
    )

#### Description [src]

Like `vte_terminal_get_termprop_enum()` except that it takes the property by ID. See that function for more information.

Available since: 0.82

#### Parameters

`prop`

  Type: `int`

  A property ID of a `VTE_PROPERTY_STRING` property.

`gtype`

  Type: `GType`

  A `GType` of an enum type.

`valuep`

  Type: `int64_t*`

  A location to store the value, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` iff the property was set and could be parsed a a value of enumeration type `type`.